Skip to main content
DELETE
/
v1
/
projects
/
{projectIdOrName}
/
feature-flags
/
flags
/
{flagIdOrSlug}
deleteFlag
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  await vercel.featureFlags.deleteFlag({
    projectIdOrName: "<value>",
    flagIdOrSlug: "<value>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });


}

run();

Authorizations

Authorization
string
header
required

Default authentication mechanism

Path Parameters

projectIdOrName
string
required

The project id or name

flagIdOrSlug
string
required

The flag id or name

Query Parameters

ifMatch
string

Etag to match, can be used interchangeably with the if-match header

withMetadata
boolean

Whether to include metadata in the response

teamId
string

The Team identifier to perform the request on behalf of.

Example:

"team_1a2b3c4d5e6f7g8h9i0j1k2l"

slug
string

The Team slug to perform the request on behalf of.

Example:

"my-team-url-slug"

Response